package com.ywt.mg.params.deposit;

import java.io.Serializable;
import java.util.Date;

public class DepositOrderInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 对应deposit的id字段
     */
    private Integer depositId;

    /**
     * 用户Id
     */
    private Integer userId;

    /**
     * 对应medical_card的id字段
     */
    private Integer medicalCardId;

    /**
     * 住院就诊号
     */
    private String admNo;

    /**
     * 订单ID
     */
    private Integer orderId;

    /**
     * 订单编码
     */
    private String orderNo;

    /**
     * 押金充值金额，单位：分
     */
    private Integer amount;

    /**
     * 支付状态
     */
    private Integer paymentStatus;

    /**
     * 支付流水号
     */
    private String paymentNo;

    /**
     * 支付回调时间
     */
    private Date paymentTime;

    /**
     * 支付到his的状态，0-待同步，1-同步处理中，2-同步成功，3-同步失败
     */
    private Integer syncHisStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 交易流水号
     */
    private String transactionId;

    /**
     * 医院ID
     */
    private int hospitalId;

    /**
     * 医院名称
     */
    private String hospitalName;


    /**
     * 患者姓名
     */
    private String patientName;


    /**
     * 患者手机号
     */
    private String patientMobile;


    /**
     * 支付途径
     */
    private String paymentChannel;


    /**
     * 诊疗卡号
     */
    private String cardNo;

    /**
     * 来源
     */
    private Integer terminal;


    public Integer getDepositId() {
        return depositId;
    }

    public void setDepositId(Integer depositId) {
        this.depositId = depositId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getMedicalCardId() {
        return medicalCardId;
    }

    public void setMedicalCardId(Integer medicalCardId) {
        this.medicalCardId = medicalCardId;
    }

    public String getAdmNo() {
        return admNo;
    }

    public void setAdmNo(String admNo) {
        this.admNo = admNo;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public Integer getSyncHisStatus() {
        return syncHisStatus;
    }

    public void setSyncHisStatus(Integer syncHisStatus) {
        this.syncHisStatus = syncHisStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getTerminal() {
        return terminal;
    }

    public void setTerminal(Integer terminal) {
        this.terminal = terminal;
    }
}
